# swagger-client
The process of extracting important information from the raw job description is called Job Parsing. This information can include things like job titles, required skills, required experience, job duties, and qualifications.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.JobParsingApi(swagger_client.ApiClient(configuration))
body = swagger_client.JDRequest() # JDRequest | 
authorization = 'authorization_example' # str | 

try:
    # Job Parsing
    api_response = api_instance.parse_job(body, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling JobParsingApi->parse_job: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api-qa.phenompeople.com/{basePath}*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*JobParsingApi* | [**parse_job**](docs/JobParsingApi.md#parse_job) | **POST** /v1/parse | Job Parsing

## Documentation For Models

 - [JDRequest](docs/JDRequest.md)
 - [JobResponse](docs/JobResponse.md)
 - [JobResponseResponse](docs/JobResponseResponse.md)
 - [Trigger400Response](docs/Trigger400Response.md)
 - [Trigger400ResponseResponse](docs/Trigger400ResponseResponse.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


